org.encog.neural.pattern

## Class BoltzmannPattern

- java.lang.Object
- - org.encog.neural.pattern.BoltzmannPattern

- All Implemented Interfaces:
    NeuralNetworkPattern

      public class BoltzmannPattern
      extends Object
      implements NeuralNetworkPattern

  Pattern to create a Boltzmann machine.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoltzmannPattern()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHiddenLayer(int count)` Not supported, will throw an exception, Boltzmann networks have no hidden layers.
    `void` | `clear()` Clear any properties set on this network.
    `MLMethod` | `generate()` Generate the network.
    `int` | `getAnnealCycles()`
    `int` | `getRunCycles()`
    `double` | `getTemperature()`
    `void` | `setActivationFunction(ActivationFunction activation)` Not used, will throw an exception.
    `void` | `setAnnealCycles(int annealCycles)` Set the number of annealing cycles per run.
    `void` | `setInputNeurons(int count)` Set the number of input neurons.
    `void` | `setOutputNeurons(int count)` Set the number of output neurons.
    `void` | `setRunCycles(int runCycles)` Set the number of cycles per run.
    `void` | `setTemperature(double temperature)` Set the temperature.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoltzmannPattern

          public BoltzmannPattern()

  - ### Method Detail

    - #### addHiddenLayer

          public void addHiddenLayer(int count)

      Not supported, will throw an exception, Boltzmann networks have no hidden layers.
      Specified by:
        `addHiddenLayer` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - Not used.

    - #### clear

          public void clear()

      Clear any properties set on this network.
      Specified by:
        `clear` in interface `NeuralNetworkPattern`

    - #### generate

          public MLMethod generate()

      Generate the network.
      Specified by:
        `generate` in interface `NeuralNetworkPattern`
      Returns:
        The generated network.

    - #### getAnnealCycles

          public int getAnnealCycles()

      Returns:
        The number of annealing cycles per run.

    - #### getRunCycles

          public int getRunCycles()

      Returns:
        The number of cycles per run.

    - #### getTemperature

          public double getTemperature()

      Returns:
        The temperature.

    - #### setActivationFunction

          public void setActivationFunction(ActivationFunction activation)

      Not used, will throw an exception.
      Specified by:
        `setActivationFunction` in interface `NeuralNetworkPattern`
      Parameters:
        `activation` - Not used.

    - #### setAnnealCycles

          public void setAnnealCycles(int annealCycles)

      Set the number of annealing cycles per run.
      Parameters:
        `annealCycles` - The new value.

    - #### setInputNeurons

          public void setInputNeurons(int count)

      Set the number of input neurons. This is the same as the number of output neurons.
      Specified by:
        `setInputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of input neurons.

    - #### setOutputNeurons

          public void setOutputNeurons(int count)

      Set the number of output neurons. This is the same as the number of input neurons.
      Specified by:
        `setOutputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of output neurons.

    - #### setRunCycles

          public void setRunCycles(int runCycles)

      Set the number of cycles per run.
      Parameters:
        `runCycles` - The new value.

    - #### setTemperature

          public void setTemperature(double temperature)

      Set the temperature.
      Parameters:
        `temperature` - The new value.

Copyright © 2014. All Rights Reserved.